# XYZ2GRD

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
GRID VALUES PRECISION
EXAMPLES
SEE ALSO

## NAME

| xyz2grd − Converting an ASCII or binary table to grd file format

## SYNOPSIS

| xyz2grd xyzfile −G grdfile −I xinc[unit][=|+][/yinc[unit][=|+]] −R west/east/south/north[r] [ −A[n|z|u|l] ] [ −D xname/yname/zname/scale/offset/title/remark ] [ −E[nodata] ] [ −F ] [ −H[i][nrec] ] [ −N nodata ] [ −S[zfile] ] [ −V ] [ −Z[flags] ] [ −:[i|o] ] [ −bi[s|S|d|D][ncol] ] [ −f colinfo ]

## DESCRIPTION

| xyz2grd reads a z or xyz table and creates a binary grdfile. xyz2grd will report if some of the nodes are not filled in with data. Such unconstrained nodes are set to a value specified by the user [Default is NaN]. Nodes with more than one value will be set to the average value. As an option (using −Z), a 1-column z-table may be read assuming all nodes are present (z-tables can be in organized in a number of formats, see −Z below.)

| [xy]zfile

| ASCII [or binary] file holding z or (x,y,z) values. xyz triplets do not have to be sorted (for binary triplets, see −b). 1-column z tables must be sorted and the −Z must be set).

| −G |  | grdfile is the name of the binary output grdfile.
| −I |  | x_inc [and optionally y_inc] is the grid spacing. Append m to indicate minutes or c to indicate seconds. If one of the units e, k, i, or n is appended instead, the increment will be assumed to be in meter, km, miles, or nautical miles, respectively, and will be converted to the equivalent degrees longitude at the middle latitude of the region (the conversion depends on ELLIPSOID). If /y_inc is given but set to 0 it will be reset equal to x_inc; otherwise it will be converted to degrees latitude. If = is appended then the corresponding max x (east) or y (north) may be slightly adjusted to fit exactly the given increment [by default the increment may be adjusted slightly to fit the given domain]. Finally, instead of giving an increment you may specify the number of nodes desired by appending + to the supplied increment; the increment is then recalculated from the number of nodes and the domain. The resulting increment value depends on whether you have selected a gridline-registered or pixel- registered grid; see Appendix B for details.
| −R |  | xmin, xmax, ymin, and ymax specify the Region of interest. For geographic regions, these limits correspond to west, east, south, and north and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands −Rg −Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude). For calendar time coordinates you may either give relative time (relative to the selected TIME_EPOCH and in the selected TIME_UNIT; append t to −JX|x), or absolute time of the form [date]T[clock] (append T to −JX|x). At least one of date and clock must be present; the T is always required. The date string must be of the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or yyyy[-Www[-d]] (ISO week calendar), while the clock string must be of the form hh:mm:ss[.xxx]. The use of delimiters and their type and positions must be as indicated (however, input/output and plotting formats are flexible).

## OPTIONS

| −A |  | Add up multiple values that belong to the same node (same as −Az). Append n to simply count the number of data points that were assigned to each node. Append l or u to find the lowest (minimum) or upper (maximum) value at each node, respectively. [Default (no −A option) will calculate mean value]. Ignored if −Z is given.
| −D |  | Give values for xname, yname, zname, scale, offset, title, and remark. To leave some of these values untouched, specify = as the value.
| −E |  | Convert an ESRI ArcInfo ASCII interchange grid format file to a GMT grid. Append nodata which is a data value that should be set to NaN in the grid [Default is to read the optional 6th record in the file and get nodata]. The values normally given by −R, −I, and −F are determined from the ESRI header instead.
| −F |  | Force pixel registration [Default is grid registration].
| −H |  | Input file(s) has Header record(s). Number of header records can be changed by editing your .gmtdefaults4 file. If used, GMT default is 1 header record. Use −Hi if only input data should have header records [Default will write out header records if the input data have them]. Not used with binary data.
| −N |  | No data. Set nodes with no input xyz triplet to this value [Default is NaN]. For z-tables, this option is used to replace z-values that equal nodata with NaN.
| −S |  | Swap the byte-order of the input only. No grid file is produced. You must also supply the −Z option. The output is written to zfile (or stdout if not supplied).
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].
| −Z |  | Read a 1-column ASCII [or binary] table. This assumes that all the nodes are present and sorted according to specified ordering convention contained in flags. If incoming data represents rows, make flags start with T(op) if first row is y = ymax or B(ottom) if first row is y = ymin. Then, append L or R to indicate that first element is at left or right end of row. Likewise for column formats: start with L or R to position first column, and then append T or B to position first element in a row. For gridline registered grids: If data are periodic in x but the incoming data do not contain the (redundant) column at x = xmax, append x. For data periodic in y without redundant row at y = ymax, append y. Append s n to skip the first n number of bytes (probably a header). If the byte-order needs to be swapped, append w. Select one of several data types (all binary except a):
|  |  | a ASCII representation
|  |  | c signed 1-byte character
|  |  | u unsigned 1-byte character
|  |  | h short 2-byte integer
|  |  | i 4-byte integer
|  |  | l long (4- or 8-byte) integer [architecture-dependent!]
|  |  | f 4-byte floating point single precision
|  |  | d 8-byte floating point double precision

| Default format is scanline orientation of ASCII numbers: −ZTLa. Note that −Z only applies to 1-column input.

| −: |  | Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].
| −bi |  | Selects binary input. Append s for single precision [Default is d (double)]. Uppercase S (or D) will force byte-swapping. Optionally, append ncol, the number of columns in your binary file if it exceeds the columns needed by the program. [Default is 3 input columns]. This option only applies to xyz input files; see −Z for z tables.
| −f |  | Special formatting of input and output columns (time or geographical data). Specify i(nput) or o(utput) [Default is both input and output]. Give one or more columns (or column ranges) separated by commas. Append T (Absolute calendar time), t (time relative to chosen TIME_EPOCH), x (longitude), y (latitude), or f (floating point) to each column or column range item. Shorthand −f[i|o]g means −f[i|o]0x,1y (geographic coordinates).

## GRID VALUES PRECISION

| Regardless of the precision of the input data, GMT programs that create gridded files will internally hold the grids in 4-byte floating point arrays. This is done to conserve memory and futhermore most if not all real data can be stored using 4-byte floating point values. Data with higher precision (i.e., double precision values) will loose that precision once GMT operates on the grid or writes out new grids. To limit loss of precision when processing data you should always consider normalizing the data prior to processing.

## EXAMPLES

| To create a grdfile from the ASCII data in hawaii_grv.xyz, use xyz2grd hawaii_grv.xyz −Ddegree/degree/mGal/1/0/"Hawaiian Gravity"/"GRS-80 Ellipsoid used" −Ghawaii_grv_new.grd −R198/208/18/25 −I5m −V To create a grdfile from the raw binary (3-column, single-precision) scanline-oriented data raw.b, use xyz2grd raw.b −Dm/m/m/1/0/=/= −Graw.grd −R0/100/0/100 −I1 −V −Z −b3 To make a grdfile from the raw binary USGS DEM (short integer) scanline-oriented data topo30. on the NGDC global relief Data CD-ROM, with values of -9999 indicate missing data, one must on some machine reverse the byte-order. On such machines (like Sun), use xyz2grd topo30. −Dm/m/m/1/0/=/= −Gustopo.grd −R234/294/24/50 −I30c −N-9999 −V −ZTLhw Say you have received a binary file with 4-byte floating points that were written on a machine of different byte-order than yours. You can swap the byte-order with xyz2grd floats.bin −Snew_floats.bin −V −Zf

## SEE ALSO

| GMT(l), grd2xyz(l), grdedit(l)